/*----------------------------------------------------------------------------
;
; This is part of par2cmdline (a PAR 2.0 compatible file verification and
; repair tool). See http://parchive.sourceforge.net for details of PAR 2.0.
;
; Copyright (c) 2003 Peter Brian Clements
;
; par2cmdline is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; par2cmdline is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;---------------------------------------------------------------------------*/

#ifndef __PAR2X86_H__
#define __PAR2X86_H__

	/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	; $$20171110: This file defines the interface to X86 assembly code moved
	; to .asm file to enable 64-bit MSVC builds (64-bit MSVC doesn't allow
	; inline assembly).
	;
	; The definitions here must match the equivalents in par2x86.inc
	*/

extern "C" {

#define GETPR_MMX	2					// processor has MMX capability
unsigned Asm_getpr(void);				// get processor capabilities --
										//	always returns non-zero value

void Asm_BuildMtab(						// build Mtab
	unsigned *pMtab, unsigned factor, void *table);
void Asm_DoBlock4(char *inputbuffer,	// process data block in chunks of 4
	char *outputbuffer, size_t bsize, unsigned *pMtab);
void Asm_DoBlock8(char *inputbuffer,	// process data block in chunks of 8
	char *outputbuffer, size_t bsize, unsigned *pMtab);

void Asm_emms(void);					// execute emms opcode

};
#endif // __PAR2X86_H__
