;-----------------------------------------------------------------------------
;
; This is part of par2cmdline (a PAR 2.0 compatible file verification and
; repair tool). See http://parchive.sourceforge.net for details of PAR 2.0.
;
; Copyright (c) 2003 Peter Brian Clements
;
; par2cmdline is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; par2cmdline is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;-----------------------------------------------------------------------------

	;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	; Below define mode-specific (32 or 64 bit) regs/opcodes/types/etc.

if64	macro	a64:REQ, a32:REQ
	ifdef	rax			;rax apparently defined in ML64 only
	  exitm	<a64>
	endif
	exitm	<a32>
	endm

xax	textequ	if64(rax, eax)
xbx	textequ	if64(rbx, ebx)
xcx	textequ	if64(rcx, ecx)
xdx	textequ	if64(rdx, edx)
xsi	textequ	if64(rsi, esi)
xdi	textequ	if64(rdi, edi)
xbp	textequ	if64(rbp, ebp)
size_t	textequ if64(qword, dword)
xpushf	textequ if64(pushfq, pushfd)
xpopf	textequ if64(popfq, popfd)

	;- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	; Following exists to let the .asm code know what the C code thinks
	; the C<->asm interface structures and constants look like.
	; See par2x86.h for further discussion.

GETPR_MMX equ	2			;processor has MMX capability
